Billing
All operations require authentication.
Retrieve all billing reports of consumptionProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ report/ consumption \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Generate consumption billing report for a periodProduction
Request body (required)
End date of the report period
Start date of the report period
Response
Task id of the report
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ report/ consumption \
-H "authorization: Bearer $OVH_TOKEN"{ "taskId": "string"}
Retrieve a consumption billing report with task idProduction
Path parameters
Task ID
Response
End date of the report period
Start date of the report period
Url of the report
Status of the report
CREATINGERRORREADYTask id of the report
Example uses taskId = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ report/ consumption/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "periodEnd": "2024-01-01", "periodStart": "2024-01-01", "report": "string", "status": "CREATING", "taskId": "string"}
Retrieve all credit balancesProduction
Query parameters
Filter by balance type
BONUSDEPOSITPREPAID_ACCOUNTVOUCHERResponse
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ credit/ balance \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Retrieve a credit balanceProduction
Path parameters
Balance name
Response
Balance amount
Balance details, amounts by serviceID
Balance name
Movement already booked on orders
Balance creation date
Movement expiring soon
Balance last update
Balance type
BONUSDEPOSITPREPAID_ACCOUNTVOUCHERBalance usable
Example uses balanceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ credit/ balance/ {balanceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "amount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "balanceDetails": [ { "amount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "balanceSubName": "string", "expiring": [ { "amount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "creationDate": "2024-01-01T12:00:00Z", "expirationDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "sourceObject": { "id": "string", "name": "string" } } ], "serviceId": 0 } ], "balanceName": "string", "booked": [ { "amount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "balanceSubName": "string", "orderId": 0 } ], "creationDate": "2024-01-01T12:00:00Z", "expiring": [ { "amount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "creationDate": "2024-01-01T12:00:00Z", "expirationDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "sourceObject": { "id": "string", "name": "string" } } ], "lastUpdate": "2024-01-01T12:00:00Z", "type": "BONUS", "usable": true}
Retrieve movements for a specific balanceProduction
Path parameters
Balance name
Response
Example uses balanceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ credit/ balance/ {balanceName}/ movement \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Retrieve a specific movement for a credit balanceProduction
Path parameters
Balance name
Movement ID
Response
Movement amount
Balance name
Movement creation date
Object destination of this credit movement
Movement expiration date
Movement last update
Movement ID
Order ID associated to this credit movement
Object source of this credit movement
Movement type
BONUSCANCELCREDIT_NOTEEXPIREGIFTMANUALORDERREFUNDUNPAIDUSEVOUCHERExample uses balanceName = string, movementId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ credit/ balance/ {balanceName}/ movement/ {movementId} \
-H "authorization: Bearer $OVH_TOKEN"{ "amount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "balanceName": "string", "creationDate": "2024-01-01T12:00:00Z", "destinationObject": { "id": "string", "name": "string" }, "expirationDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "movementId": 0, "orderId": 0, "sourceObject": { "id": "string", "name": "string" }, "type": "BONUS"}
Validate a code to generate associated credit movementProduction
Request body (required)
Code to validate
Restrict credit to a specific service
Response
Movement amount
Balance name
Movement creation date
Object destination of this credit movement
Movement expiration date
Movement last update
Movement ID
Order ID associated to this credit movement
Object source of this credit movement
Movement type
BONUSCANCELCREDIT_NOTEEXPIREGIFTMANUALORDERREFUNDUNPAIDUSEVOUCHERReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ credit/ code \
-H "authorization: Bearer $OVH_TOKEN"{ "amount": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "balanceName": "string", "creationDate": "2024-01-01T12:00:00Z", "destinationObject": { "id": "string", "name": "string" }, "expirationDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "movementId": 0, "orderId": 0, "sourceObject": { "id": "string", "name": "string" }, "type": "BONUS"}